LINUX.ORG.RU

Оставить только gtk2[portage]

 , , ,


1

5

Только начинаю осваивать Gentoo, сижу с Arch'а и потихоньку настраиваю новое окружение. с Portage'м еще полностью не освоился. Пытаюсь поставить систему только с gtk2. В USE глобально «gtk -gtk3». Portage все равно пытается вытянуть gtk+-3.2*. Некоторые пакеты просто не могут уже в gtk2? Или же у меня кривые руки? Если да, направьте их в нужную сторону.

А зачем? Ради понтов, что у тебя в системе один GTK2?

Предложение очевидное — маскать >=gtk+-3. Ну а если не соберётся, то вперёд патчить софт, чтобы работал и со старым GTK.

a1batross ★★★★★ ()

Маскируй x11-libs/gtk+:3. В общем случае нужно указать юзы gtk gtk2 -gtk3, после всего этого смотреть, какие пакеты чего хотят.

Bfgeshka ★★★★★ ()
Ответ на: комментарий от a1batross

причем тут понты? зачем держать зоопарк в системе?

xaTa ★★ ()

Некоторые пакеты просто не могут уже в gtk2?

This

kawaii_neko ★★★ ()
Ответ на: комментарий от xaTa

зачем держать зоопарк в системе?

мне нужна гента чтобы вырезать всё ненужное и не держать зоопарка в системе

а в чём проблема зоопарка? им же пакетный менеджер занимается

много пакетов долго компилировать

alexferman ()

Да пусть тянет, что такого. Все что поддерживает gtk2 соберется как надо, а оставшуюся хипстоту ты руками выпилишь. Ибо смысла нет использовать программу, бесповоротно перешедшую на gtk3, там скорее всего у авторов мозг полностью гномофицировался.

bread ()

Поммо того что некоторый софт переезжает на гтк3, гентушные ебилдописатели дропают в ебилдах гтк2. Без своего оверлея не обойтись. Овчинка выделки не стоит имхо.

ass ★★★ ()
Ответ на: комментарий от macumazan

Экосистеме плесневых грибков? Нет конечно, надо жрать что дают, партия сказала вкусно, значит вкусно.

bread ()
Ответ на: комментарий от ass

гентушные ебилдописатели дропают в ебилдах гтк2

Значит гента не нужна.

bread ()

Попробовал замаскировать gtk3 и в USE «gtk -gtk3 gtk». Не очень много эффекта дало. Портаж при emerge -DauN world ругается, требуя размаскировать gtk3, ибо этого требуют некоторые пакеты, у которых прописан gtk в use, а gtk уже выпилена. Править юзы в куче всевозможных пакетов и искать между ними зависимости - благородный поступок конечно, но боюсь, что очередная пересборка мира может все сломать. Решил пойти от обратного. В USE прописать "-gtk". А для нужных мне отдельных пакетов с gtk в локальный USE пропишу «gtk gtk2 -gtk3», ну а там уже смотреть, есть ли поддержка второго или искать замену(править ebuild). Должно же сработать по идее так?

crarkie ()
Ответ на: комментарий от ass

гентушные ебилдописатели дропают в ебилдах гтк2

Чего ещё расскажешь, сказочник?

Bfgeshka ★★★★★ ()
Последнее исправление: Bfgeshka (всего исправлений: 1)
Ответ на: комментарий от ass

Тебе вне всякого сомнения.

Видишь как полезен ЛОР, я сразу записал генту в список гномофицированных, и не надо тратить время более.

bread ()
Ответ на: комментарий от crarkie

При всей моей любви к Gentoo, не удержался

emerge -DauN world
DauN

В слове «ебилд» буква «д» явно находится не на своём месте.

spijet ★★★ ()

По-моему, решение очевидное. Ты не хочешь gtk3, ну так удали и не ставь софт, который тянет gtk3.

udevel ()
Ответ на: комментарий от udevel

Если бы было все так прост. Дак вот только даже X в юзах бывает заставляет некоторые пакеты тянут с собой gtk

crarkie ()
Ответ на: комментарий от crarkie

Маскируй те версии нужного тебе софта, которые тянут gtk3. Используй старые версии или форки. Ищи альтернативы, использующие gtk2, gtk+(1), Qt, Motif, Tk, Ncurses, etc. Озаряйся внезапным «Это всё мне не нужно!» и не используй этот софт или не занимайся тем, для чего этот софт нужен.

Вариантов много, выбирай. В этом вся сила Gentoo.

spijet ★★★ ()
Ответ на: комментарий от xaTa

Зоопарком занимается твой ПМ. Если тебе кажется, что он занимается этим плохо, доставляя тебе проблемы, то у меня плохие новости: ваш ПМ — говно.

a1batross ★★★★★ ()
Ответ на: комментарий от a1batross

А зачем ещё на десктоп генту ставить?

anonymous ()
Ответ на: комментарий от a1batross

Чесно говоря не понял что за х@йню ты щас пронес, одно скажу что система где половина софта gtk2 а вторая половина gtk3 для меня является зоопарком. ИМХО!

xaTa ★★ ()
Ответ на: комментарий от xaTa

Ок. Вот только в современных реалиях построить гомогенную среду все еще не так-то просто. Приходится держать и Qt, и все три GTK, держать мультилиб и пользоваться Wine.

yars068 ★★★★ ()
Ответ на: комментарий от yars068

qt не держу, из третьегнома у меня только nm-applet.

xaTa ★★ ()

Блин, была бы жизнь малиной...

А фактически приходится жить со всем этим дерьмом: портидж какой-то м..к написал на пхытоне, из-за этого пхытон из генты невозможно вырезать; рукожопые погромисты пишут гуи с использованием культей-говнотыков, приходится и этот шлак в системе держать (причем, даже говнотык-3! а уж культей — с третьего по пятый включительно!!!); в общем, линукс уже давно стал не за, а против пользователя! Скатывается в сраную мастдайку!

anonymous ()
Ответ на: комментарий от crarkie

emerge -DauN

Блин, классную ты мнемонику придумал! А в тырнетах все пишут emerge -auDN... Лохи позорные!

Заодно заставляет не забывать, какое говно эта гента (правда, больше все равно никаких линуксов нет, так что приходится жрать, чем кормят).

anonymous ()
Ответ на: комментарий от anonymous

emerge -DauN

Да уж, крутая самодокументация, можно даже ман не смотреть)

bread ()
Ответ на: комментарий от xaTa

Судя по «базару», как бы ты скорее назвал свою речь, тебе это действительно только понты. Вот и обиделся на правду.

a1batross ★★★★★ ()

Gentoo, система без gtk3. В некоторых пакетах флаг „gtk“ подразумевал именно gtk3, пришлось отдельно такому пакету прописать флаг „-gtk“.

Маскировать gtk3 надо обязательно.

NaiLi ★★ ()
Последнее исправление: NaiLi (всего исправлений: 1)
Ответ на: комментарий от NaiLi

Маскировать gtk3 надо обязательно.

Но потом же portage попросит размаскировать флаг. Или есть способ замаскировать флаг так чтобы portage не просил?

With ★★★ ()
Ответ на: комментарий от a1batross

Не тебе меня судить. Я высказал свое субъективное мнение а ты поддержал это своим высером. Допустим по твоему стилю речи я сразу понял что ты муд@к, но надеялся что это не так. А сейчас 100% в этом убедился.

xaTa ★★ ()
Ответ на: комментарий от With

Но потом же portage попросит размаскировать флаг. Или есть способ замаскировать флаг так чтобы portage не просил?

Только если какой-то пакет уже 100% без поддержки gtk2.

Portage с нужными флагами ставит версию пакета в которой осталась поддержка gtk2, но бывает приходится самому ограничить установку новых версий программы которая стала только на gtk3, тогда уже не будет просить, таких программ не очень много.

Отдельно имеются старые ebuild'ы, те же zathura 0.2.6 и apvlv, где ещё оставалась поддержка gtk2.

NaiLi ★★ ()
Ответ на: комментарий от NaiLi

Отдельно имеются старые ebuild'ы, те же zathura 0.2.6 и apvlv, где ещё оставалась поддержка gtk2.

А где эти старые ебилды найти? Может есть где оверлей с подборкой софта с поддержкой gtk2?

With ★★★ ()

зачем только gtk2, если можно только gtk3? я вот gtk2 ставлю только когда обновляюсь, потому что thunderbird и firefox без него не собираются. завершив обновление, сношу gtk2, игнорируя зависимости, весь софт, в том числе эти самые thunderbird и firefox, работает без него

eternal_sorrow ★★★★★ ()
Ответ на: комментарий от With

Здесь беру нужные версии для своего постоянного локального репозитория: https://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86

Если в списке не будет нужного, то нажать вверху на Show ** dead files

NaiLi ★★ ()
Последнее исправление: NaiLi (всего исправлений: 1)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.